Bug 268967 - NullPointerException at org.netbeans.modules.cnd.debugger.common2.debugger.actions.ContinueActionProvider.update
NullPointerException at org.netbeans.modules.cnd.debugger.common2.debugger.ac...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
8.1
All All
: P3 (vote)
: 8.2
Assigned To: Maria Tishkova
issues@cnd
EXCEPTIONS_REPORT, 82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-14 09:55 UTC by soldatov
Modified: 2016-12-13 09:37 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.35 KB, text/plain)
2016-11-14 09:55 UTC, soldatov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-11-14 09:55:45 UTC
Build: IDE for C, C++, and Fortran (Oracle Developer Studio 12.5 [2016/11/03 1960b5f37c28])
VM: Java HotSpot(TM) 64-Bit Server VM, 25.111-b14, Java(TM) SE Runtime Environment, 1.8.0_111-b14
OS: Windows 7

User Comments:
soldatov: attach on Windows




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.debugger.common2.debugger.actions.ContinueActionProvider.update(ContinueActionProvider.java:85)
   at org.netbeans.modules.cnd.debugger.common2.debugger.NativeDebuggerImpl$1.run(NativeDebuggerImpl.java:555)
   at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
   at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
   at java.awt.EventQueue.access$500(EventQueue.java:97)
   at java.awt.EventQueue$3.run(EventQueue.java:709)
Comment 1 soldatov 2016-11-14 09:55:46 UTC
Created attachment 162902 [details]
stacktrace
Comment 2 Maria Tishkova 2016-11-30 13:55:56 UTC
fixed in enum
changeset:   313505:aef3eba7cb94
branch:      release82
tag:         tip
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Wed Nov 30 16:54:15 2016 +0300
summary:     fixed bug#268967 - NullPointerException at org.netbeans.modules.cnd.debugger.common2.debugger.actions.ContinueActionProvider.update
Comment 3 Quality Engineering 2016-12-03 03:03:10 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/c99e47359f25
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bug#268967 - NullPointerException at org.netbeans.modules.cnd.debugger.common2.debugger.actions.ContinueActionProvider.update
(transplanted from aef3eba7cb946b70cb29108e32a4dd3562cffbb8)
Comment 4 soldatov 2016-12-13 09:37:30 UTC
Verified in NetBeans IDE 8.2 (Build 201612122312)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo